diff --git a/src/backend/statistics/extended_stats.c b/src/backend/statistics/extended_stats.c
index 749e99d53a..5d7bdc9d12 100644
--- a/src/backend/statistics/extended_stats.c
+++ b/src/backend/statistics/extended_stats.c
@@ -2440,7 +2440,7 @@ statext_expressions_load(Oid stxoid, bool inh, int idx)
 	if (isnull)
 		elog(ERROR,
 			 "requested statistics kind \"%c\" is not yet built for statistics object %u",
-			 STATS_EXT_DEPENDENCIES, stxoid);
+			 STATS_EXT_EXPRESSIONS, stxoid);
 
 	eah = DatumGetExpandedArray(value);
 
diff --git a/src/backend/statistics/mcv.c b/src/backend/statistics/mcv.c
index 2b5ad434f7..b0e9aead84 100644
--- a/src/backend/statistics/mcv.c
+++ b/src/backend/statistics/mcv.c
@@ -572,7 +572,7 @@ statext_mcv_load(Oid mvoid, bool inh)
 	if (isnull)
 		elog(ERROR,
 			 "requested statistics kind \"%c\" is not yet built for statistics object %u",
-			 STATS_EXT_DEPENDENCIES, mvoid);
+			 STATS_EXT_MCV, mvoid);
 
 	result = statext_mcv_deserialize(DatumGetByteaP(mcvlist));
 
